Bug 976881 - info test fails GA kernel validation for RHELX.0
info test fails GA kernel validation for RHELX.0
Status: VERIFIED
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
1.7.0
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On: 976694 976880
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 14:25 EDT by Greg Nichols
Modified: 2016-07-05 14:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: hwcert-client-1.7.0-40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 976880
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
redhatrelease patch to return "0" as the update (minor) number if there's none. (1.60 KB, patch)
2013-06-21 14:26 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-06-21 14:25:32 EDT
+++ This bug was initially created as a clone of Bug #976880 +++

+++ This bug was initially created as a clone of Bug #976694 +++

Description of problem:

Running hwcert-client version 1.5.9 release 28 on RHEL5.0 x86 and x64.
And info case failed on both x86 and x64.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
x86
<output>
Test Parameters: OUTPUTFILE=/var/log/hwcert/runs/1/info/output.log DEVICE= TESTS                                                                                                                                                             ERVER=10.115.161.68 RUNMODE=normal DEBUG=off UDI=
<output name="Log versions" description="Log hwcert and OS version and release">
Tested OS: Red Hat Enterprise Linux Server 5 (Tikanga)
Kernel RPM: kernel-PAE-2.6.18-8.el5
hwcert-client version 1.5.9, release 28
<summary>PASS</summary>
</output>
<output name="Verify hwcert" description="Verify the hwcert installation">
Checking hwcert configuration.
    Using defaults.
<summary>PASS</summary>
</output>
<output name="Kernel" description="Check OS kernel build, version">
+ rpm -ql kernel-PAE-2.6.18-8.el5
Error: Kernel is 2.6.18-8 and not Red Hat Enterprise Linux Server 5.None GA (Non                                                                                                                                                             e)
Boot Parameters: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
<summary>FAIL</summary>
</output>
<output name="Modules" description="Check kernel modules">
checking modules...
<summary>PASS</summary>
</output>
<output name="SE Linux" description="Capture SE Linux status">
<summary>PASS</summary>
</output>
<output name="System Report" description="generate system report">
usage: sosreport [options]

sosreport: error: no such option: --batch
usage: sosreport [options]

sosreport: error: no such option: --batch
<summary>FAIL</summary>
</output>
</output>

x64

<output>
Test Parameters: OUTPUTFILE=/var/log/hwcert/runs/2/info/output.log DEVICE= TESTS                                                                                                                                                             ERVER=10.115.161.58 RUNMODE=normal DEBUG=off UDI=
<output name="Log versions" description="Log hwcert and OS version and release">
Tested OS: Red Hat Enterprise Linux Server 5 (Tikanga)
Kernel RPM: kernel-2.6.18-8.el5
hwcert-client version 1.5.9, release 28
<summary>PASS</summary>
</output>
<output name="Verify hwcert" description="Verify the hwcert installation">
Checking hwcert configuration.
    Using defaults.
<summary>PASS</summary>
</output>
<output name="Kernel" description="Check OS kernel build, version">
+ rpm -ql kernel-2.6.18-8.el5
Error: Kernel is 2.6.18-8 and not Red Hat Enterprise Linux Server 5.None GA (Non                                                                                                                                                             e)
Boot Parameters: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
<summary>FAIL</summary>
</output>
<output name="Modules" description="Check kernel modules">
checking modules...
<summary>PASS</summary>
</output>
<output name="SE Linux" description="Capture SE Linux status">
<summary>PASS</summary>
</output>
<output name="System Report" description="generate system report">
usage: sosreport [options]

sosreport: error: no such option: --batch
usage: sosreport [options]

sosreport: error: no such option: --batch
<summary>FAIL</summary>
</output>
</output>

Expected results:


Additional info:

The cases failed of two reason,first the kernel is considered as non-GA version.
Second the "sosreport" didn't have expect output.seems sosreport in RHEL5.0 doesn't support "--batch" parameter.

--- Additional comment from Adam Ru on 2013-06-21 04:06:45 EDT ---

server is using 1.6.4-49

[root@RHEL6-x86-NTS ~]# rpm -qa | grep hwcert
hwcert-server-1.6.4-49.el6.noarch
hwcert-client-info-1.6.4-49.el6.noarch
hwcert-client-1.6.4-49.el6.noarch

--- Additional comment from Greg Nichols on 2013-06-21 14:21:36 EDT ---

--- Additional comment from Greg Nichols on 2013-06-21 14:24:10 EDT ---
Comment 1 Greg Nichols 2013-06-21 14:26:51 EDT
Created attachment 763932 [details]
redhatrelease patch to return "0" as the update (minor) number if there's none.
Comment 2 Greg Nichols 2013-06-24 19:50:54 EDT
On RHEL 7.0 with hwcert-client 1.7.0-40

+ rpm -ql kernel-3.7.0-0.36.el7
Error: Kernel is 3.7.0-0.36 and not Red Hat Enterprise Linux Server 7.0 GA (None)
Boot Parameters: BOOT_IMAGE=/vmlinuz-3.7.0-0.36.el7.x86_64 root=/dev/mapper/rhel_ibm--dx360m4--02-root ro rd.lvm.lv=rhel_ibm-dx360m4-02/swap rd.md=0 rd.dm=0 console=ttyS0,115200n81 crashkernel=auto rd.luks=0 vconsole.keymap=us rd.lvm.lv=rhel_ibm-dx360m4-02/root
FAIL

This is verified, as hwcert-client now indicates it's "7.0 GA (None)" instead of "7.(None) GA (None)".

Note You need to log in before you can comment on or make changes to this bug.